For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a Resource

Create a DID-Linked Resource (DLR) using cheqd Studio.

Create a DID-Linked Resource.

post
/resource/create/{did}

This endpoint creates a DID-Linked Resource. As input, it can take the DID identifier and the resource parameters via a form, or the fully-assembled resource itself.

Authorizations
x-api-keystringRequired
Path parameters
didstringRequired

DID identifier to link the resource to.

Body

Input fields for DID-Linked Resource creation.

datastringRequired

Encoded string containing the data to be stored in the DID-Linked Resource.

encodingstring · enumRequired

Encoding format used to encode the data.

Possible values:
namestringRequired

Name of DID-Linked Resource.

typestringRequired

Type of DID-Linked Resource. This is NOT the same as the media type, which is calculated automatically ledger-side.

versionstringOptional

Optional field to assign a human-readable version in the DID-Linked Resource.

publicKeyHexsstring[]Optional

List of key references (publicKeys) which will be used for signing the message. The should be in hexadecimal format and placed in the wallet of current user.

Responses
200

The request was successful.

application/json
resourceURIstringOptionalExample: did:cheqd:testnet:55dbc8bf-fba3-4117-855c-1e0dc1d3bb47/resources/398cee0a-efac-4643-9f4c-74c48c72a14b
resourceCollectionIdstringOptionalExample: 55dbc8bf-fba3-4117-855c-1e0dc1d3bb47
resourceIdstringOptionalExample: 398cee0a-efac-4643-9f4c-74c48c72a14b
resourceNamestringOptionalExample: cheqd-issuer-logo
resourceTypestringOptionalExample: CredentialArtwork
mediaTypestringOptionalExample: image/png
resourceVersionstringOptionalExample: 1.0
checksumstringOptionalExample: a95380f460e63ad939541a57aecbfd795fcd37c6d78ee86c885340e33a91b559
createdstringOptionalExample: 2021-09-01T12:00:00Z
nextVersionIdstringOptionalExample: d4829ac7-4566-478c-a408-b44767eddadc
previousVersionIdstringOptionalExample: ad7a8442-3531-46eb-a024-53953ec6e4ff
post/resource/create/{did}

Last updated

Was this helpful?